OpenNMS API 1.2.9

## org.opennms.netmgt.filter.node
Class AGtrThanEqualExprPart

    java.lang.Object
      org.opennms.netmgt.filter.node.Node
          org.opennms.netmgt.filter.node.PExprPart
              org.opennms.netmgt.filter.node.AGtrThanEqualExprPart

All Implemented Interfaces:
  java.lang.Cloneable, Switchable

public final class AGtrThanEqualExprPart
extends PExprPart

Field Summary
`private PCompareRight` `_compareRight_`
`private TGtrThanEqual` `_gtrThanEqual_`
`private TIdent` `_ident_`

Fields inherited from class org.opennms.netmgt.filter.node.Node
``

Constructor Summary
`AGtrThanEqualExprPart()`
`AGtrThanEqualExprPart(TIdent _ident_, TGtrThanEqual _gtrThanEqual_, PCompareRight _compareRight_)`

Method Summary
`void` `apply(Switch sw)`
`java.lang.Object` `clone()`
`PCompareRight` `getCompareRight()`
`TGtrThanEqual` `getGtrThanEqual()`
`TIdent` `getIdent()`
`(package private) void` `removeChild(Node child)`
`(package private) void` `replaceChild(Node oldChild, Node newChild)`
`void` `setCompareRight(PCompareRight node)`
`void` `setGtrThanEqual(TGtrThanEqual node)`
`void` `setIdent(TIdent node)`
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.filter.node.Node
`cloneList, cloneNode, parent, parent, replaceBy, toString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _ident_

    private TIdent _ident_

### _gtrThanEqual_

    private TGtrThanEqual _gtrThanEqual_

### _compareRight_

    private PCompareRight _compareRight_

Constructor Detail

### AGtrThanEqualExprPart

    public AGtrThanEqualExprPart()

### AGtrThanEqualExprPart

    public AGtrThanEqualExprPart(TIdent _ident_,
                                 TGtrThanEqual _gtrThanEqual_,
                                 PCompareRight _compareRight_)

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Node`

### apply

    public void apply(Switch sw)

### getIdent

    public TIdent getIdent()

### setIdent

    public void setIdent(TIdent node)

### getGtrThanEqual

    public TGtrThanEqual getGtrThanEqual()

### setGtrThanEqual

    public void setGtrThanEqual(TGtrThanEqual node)

### getCompareRight

    public PCompareRight getCompareRight()

### setCompareRight

    public void setCompareRight(PCompareRight node)

### toString

    public java.lang.String toString()

### removeChild

    void removeChild(Node child)

  Specified by:
    `removeChild` in class `Node`

### replaceChild

    void replaceChild(Node oldChild,
                      Node newChild)

  Specified by:
    `replaceChild` in class `Node`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.